[wpa-supplicant] Wireless-extension v19

Jouni Malinen jkmaline at cc.hut.fi
Fri Sep 9 14:32:29 EDT 2005


On Fri, Sep 09, 2005 at 10:04:52AM -0700, Jean Tourrilhes wrote:

> 	I believe the most appropriate fix would be to make this
> function use iw_extract_event_stream() available in iwlib.c, which
> does all this magic behind the scenes since WT-27-pre25 (available in
> all good distro).

Unfortunately, iwlib license (GPL) is not compatible with wpa_supplicant
requirements (the BSD part of the dual license). In other words,
wpa_supplicant cannot depend on libraries that are licenced only under
GPL. In addition, I know that wpa_supplicant is being used in number of
different embedded systems which might not match with for "good distro"
definition ;-). The less external dependencies there is, the better it
is for many of these systems.

> 	If you really want to roll your own, I believe the fix is
> first incomplete and second could be simplified.

I haven't yet looked into what exactly changed, but yes, I would prefer
to just modify the current code to work with both versions and I would
certainly prefer to have a simplified version of the change ;-).

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list